[nVidia] Instalacja sterownika dla jądra 3.8

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!
Jest to poradnik nadesłany do nas przez jednego z Czytelników – S3BA – kolejny raz wielkie dzięki.
  1. Otwórz terminal i przejdź do katalogu tymczasowego:
    cd /tmp
  2. Pobierz niezbędne pakiety:
    • 32-bit:
      wget https://launchpad.net/~xorg-edgers/+archive/ppa/+files/nvidia-313_313.18-0ubuntu1%7Exedgers%7Eprecise2_i386.deb https://launchpad.net/~xorg-edgers/+archive/ppa/+files/nvidia-settings-313_313.18-0ubuntu1%7Exedgers%7Eprecise1_i386.deb
    • 64-bit:
      wget https://launchpad.net/~xorg-edgers/+archive/ppa/+files/nvidia-313_313.18-0ubuntu1%7Exedgers%7Eprecise2_amd64.deb https://launchpad.net/~xorg-edgers/+archive/ppa/+files/nvidia-settings-313_313.18-0ubuntu1%7Exedgers%7Eprecise1_amd64.deb
  3. Zainstaluj pobrane paczki:
    sudo dpkg -i *.deb
  4. Uruchom ponownie komputer.

nVidia na jądrze 3.8

Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • Grzegorz

    A więc:
    1. Wykonałem zgodnie ze wskazówkami i…
    2. Niestety działa. :)
    3. Dzięki serdeczne.

  • HydeFromT70s

    To nie jest żadna złośliwość czy coś w tym stylu, ale naprawdę nie rozumiem jaki jest sens tworzyć, z każdą nową wersją sterownika nVidia, poradnik o jego instalacji skoro proces ten zawsze wygląda tak samo ??

    • Wpis pełni również rolę aktualności, niusa. Ktoś, kto czeka na nowe wydanie sterownika, ponieważ wcześniejsza np. nie działa poprawnie, ale nie śledzi na bieżąco planu wydawniczego, dowie się o nowym wydaniu i może skusi się na instalację.

      • HydeFromT70s

        Może i masz rację, ale wystarczy też od czasu do czasu zajrzeć na stronę nVidii ;)

        • Grzegorz

          Może i wystarczy, ale jakoś na ich stronie nie widziałem gotowej do instalacji paczki *.deb ze sterownikami…

          • RafciX

            Nie ma paczki *.deb, ale za to jest plik *.run, który też jest łatwy w obsłudze ;) Jedyne co musisz zrobić, żeby sterownik ze strony nVidii działał (i w ogóle dawał się zainstalować) to pozbycie się nouveau.

            • rat

              @RafciX Nie zgadzam się, najnowsze sterowniki na stronie nVidia to 310.32, które nie zainstalują się poprawnie z jądrem 3.8 lub z linią 3.7. Każdorazowo musiałem modyfikować plik conftest.sh sterowników nVidia aby je zainstalować na jądrze 3.7.x. Wiele portali miedzy innymi gentoo wypuściło patche i poprawki to tych sterowników aby móc je poprawnie zainstalować z jądrem 3.8. Więc łatwiej jest jak ktoś zrobi jedną działającą paczkę pod dany system, nie muszę ponownie tracić czasu na szukanie rozwiązania.

    • s3ba

      Problem jest w tym że te stery nie instalują się automatycznie nawet po dodaniu xorg-edgers/ppa do listy ppa-sów. Jeśli mieliśmy przed aktualizacją jądra wgrane 313 to po aktualizaji powinny nadal działać(nie sprawdzałem na 304 i 310-jeśli się komuś chce to może sprawdzić), Dlatego są podane konkretne deb-y jakie należy zainstalować, bez potrzeby dodawania ppa.

      • Grzegorz

        Na 304 nie działa, bo miałem i się posypały i nic nie szło zrobić.

  • RafciX

    Mam takie pytanko… dotyczy to także osób, które używają sterowników ze strony nVidii?

    • Grzegorz

      A cóż to za pytanie? :)